<header class="p-3 bg-info">
  <div class="container-fluid">
    <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-md-start">
      <a [routerLink]="['/']"
        class="navbar-brand d-flex align-items-center me-md-5 mb-2 mb-md-0 fw-bold text-white">Super
        Blog
      </a>

      <ul class="nav col-12 col-md-auto me-md-auto mb-2 justify-content-center mb-md-0">
        <li class="nav-item"><a [routerLink]="['/home']" [routerLinkActive]="activeLinkClass"
            class="nav-link px-2 text-dark">Home</a>
        </li>
        <li class="nav-item"><a [routerLink]="['/post/new']" [routerLinkActive]="activeLinkClass"
            class="nav-link px-2 text-dark">Nouveau</a></li>
        <li class="nav-item"><a [routerLink]="['/post/search']" [routerLinkActive]="activeLinkClass"
            class="nav-link px-2 text-dark">Recherche</a></li>
        <li class="nav-item"><a [routerLink]="['/settings']" [routerLinkActive]="activeLinkClass"
            class="nav-link px-2 text-dark">Réglages</a></li>
      </ul>
      <form class="col-12 col-md-auto mb-3 mb-md-0 me-md-3">
        <div class="row gx-3 align-items-center">
          <div class="col-auto d-none d-lg-block">
            <label for="sel-cat" class="fst-italic">Categorie</label>
          </div>
          <div class="col-12 col-md-auto">
            <select [(ngModel)]="modelCatId" (ngModelChange)="displayByCategory()" name="sel-cat" class="form-select"
              id="sel-cat">
              <option [ngValue]="0" selected>Afficher tout...</option>
              <option *ngFor="let category of lstCategories" [ngValue]="category.id">{{category.label}}</option>
            </select>
          </div>
        </div>
      </form>
      <div>
        <img class="ms-md-2 me-2" id="user-icon" src="/assets/img/user.png" alt="user icon">
        <p class="d-inline align-middle" id="user-text">{{currentUser}}</p>
      </div>
    </div>
  </div>
</header>